package it.html.oauth.model;

import com.abubusoft.kripton.annotation.BindType;

/**
 * Created by xcesco on 07/04/2016.
 */
@BindType
public class User extends UIDObject {

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = super.hashCode();
		result = prime * result + ((email == null) ? 0 : email.hashCode());
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		result = prime * result + ((surname == null) ? 0 : surname.hashCode());
		result = prime * result + ((username == null) ? 0 : username.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (!super.equals(obj))
			return false;
		if (getClass() != obj.getClass())
			return false;
		User other = (User) obj;
		if (email == null) {
			if (other.email != null)
				return false;
		} else if (!email.equals(other.email))
			return false;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		if (surname == null) {
			if (other.surname != null)
				return false;
		} else if (!surname.equals(other.surname))
			return false;
		if (username == null) {
			if (other.username != null)
				return false;
		} else if (!username.equals(other.username))
			return false;
		return true;
	}

	private static final long serialVersionUID = -8872816586169055466L;

    /**
     * email
     */
    private String email;
    
    /**
     * nome dello user
     */
    private String name;

    private String surname;

	/**
     * username
     */
    private String username;

	public String getEmail() {
        return email;
    }

    public String getName() {
        return name;
    }

	public String getSurname() {
		return surname;
	}

    public String getUsername() {
		return username;
	}

    public void setEmail(String email) {
        this.email = email;
    }

    public void setName(String name) {
        this.name = name;
    }
    
    public void setSurname(String surname) {
		this.surname = surname;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	@Override
	public String toString() {
		return "User [email=" + email + ", name=" + name + ", surname=" + surname + ", username=" + username + ", uid="
				+ uid + "]";
	}

}
