package it.html.oauth.web;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.context.request.WebRequest;


import it.html.oauth.OAuthServiceProvider;
import it.html.oauth.model.User;
import it.html.oauth.service.LoginService;

public abstract class BaseLoginController implements LoginController {
	@Autowired
	protected LoginService loginService;

	@RequestMapping(RestURIAction.ACTION_STATUS)
	@ResponseBody
	public String status(HttpServletRequest req, HttpServletResponse resp) throws IOException {
		return "OK";
	}

	@RequestMapping(RestURIAction.ACTION_LOGIN)
	public String login(WebRequest request) throws IOException {

		// redirect to linkedin auth page
		return "redirect:" + getServiceProvider().getAuthorizationUrl();
	}

	protected abstract OAuthServiceProvider getServiceProvider();
	
	public User getUser(String code) throws Exception {
		return null;
	}
	

}
